<?php


namespace Fifa\ConnectId\Sdk\Notifications;


use DateTime;

class PersonNameChangedNotification
{
    /** @var string */
    private $personFIFAId;
    /** @var string */
    private $actorName;
    /** @var DateTime */
    private $operationTimestamp;

    /**
     * PersonNameChangedNotification constructor.
     *
     * @param string $personFIFAId
     * @param string $actorName
     * @param DateTime $operationTimestamp
     */
    function __construct(string $personFIFAId, string $actorName, DateTime $operationTimestamp){
        $this->personFIFAId = $personFIFAId;
        $this->actorName = $actorName;
        $this->operationTimestamp = $operationTimestamp;
    }

    /**
     * @return string
     */
    public function getPersonFIFAId(): string
    {
        return $this->personFIFAId;
    }

    /**
     * @return string
     */
    public function getActorName(): string
    {
        return $this->actorName;
    }

    /**
     * @return DateTime
     */
    public function getOperationTimestamp(): DateTime
    {
        return $this->operationTimestamp;
    }
}